# OH3D Assets - HTML page generator

Generates HTML pages from the given `_OH3D_template.html` by grabbing data from
`oh3d.csv`. For each column with `COLUMN_NAME`, this script tries to populate
areas in the template that match `***COLUMN_NAME**`. Feel free to modify the
template, keeping this restriction in mind.

## Requirements

Requires the latest version of Node (it works with 14.7.0 and above) and yarn.
To install yarn, run the command
```
npm install -g yarn
```

## Running the script

To install the needed dependencies, simply run
```
yarn install
```
and all dependencies will be installed in the `node_modules` folder. Then run
```
yarn start
```
to start generating pages!

### Cleanup

Optionally, if you want to delete all the files you generated, run
```
yarn clean
```
and all files in the `oh3d` directory will be removed.